Package be.fgov.ehealth.technicalconnector.ra.service

# Interface AuthenticationCertificateRegistrationService

All Known Implementing Classes:
  `AuthenticationCertificateRegistrationServiceImpl`

public interface AuthenticationCertificateRegistrationService
Interface describing the AuthenticationCertificate Registration service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Result<Certificate>`
  `generateCertificate(NewCertificateContract contract)`
  `Result<GeneratedContract>`
  `generateContract(ContractRequest contractRequest)`
  `Result<GeneratedRevocationContract>`
  `generateRevocationContract(RevocationContractRequest revocationContractRequest)`
  `Result<ActorQualities>`
  `getActorQualities()`
  `Result<List<String>>`
  `getApplicationIdList(Organization organization)`
  `Result<X509Certificate[]>`
  `getCertificate(byte[] publicKeyIdentifier)`
  `Result<CertificateInfoType>`
  `getCertificateInfoForAuthenticationCertificate(Credential credential)`
  `Result<List<CertificateInfoType>>`
  `getCertificateInfoForCitizen()`
  `Result<GetGenericOrganizationTypesResponse>`
  `getOrganizationList()`
  `Result<Void>`
  `revokeCertificate(RevocationRequest revocationRequest)`
  `Result<SubmitCSRForForeignerResponseInfo>`
  `submitCSRForForeigner(ForeignerRequest foreignerRequest)`

- ## Method Details

  - ### generateCertificate

    Result<Certificate> generateCertificate(NewCertificateContract contract) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### getCertificate

    Result<X509Certificate[]> getCertificate(byte[] publicKeyIdentifier) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### revokeCertificate

    Result<Void> revokeCertificate(RevocationRequest revocationRequest) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### getOrganizationList

    Result<GetGenericOrganizationTypesResponse> getOrganizationList() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### getApplicationIdList

    Result<List<String>> getApplicationIdList(Organization organization) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### generateContract

    Result<GeneratedContract> generateContract(ContractRequest contractRequest) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### getActorQualities

    Result<ActorQualities> getActorQualities() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### getCertificateInfoForAuthenticationCertificate

    Result<CertificateInfoType> getCertificateInfoForAuthenticationCertificate(Credential credential) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### getCertificateInfoForCitizen

    Result<List<CertificateInfoType>> getCertificateInfoForCitizen() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### submitCSRForForeigner

    Result<SubmitCSRForForeignerResponseInfo> submitCSRForForeigner(ForeignerRequest foreignerRequest) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### generateRevocationContract

    Result<GeneratedRevocationContract> generateRevocationContract(RevocationContractRequest revocationContractRequest) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`